Bug 819077 - Unable to delete then re-upload plugins [NEEDINFO]
Unable to delete then re-upload plugins
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Agent (Show other bugs)
JON 3.1.0
x86_64 Linux
unspecified Severity medium
: ER01
: JON 3.2.0
Assigned To: Thomas Segismont
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 15:09 EDT by Viet Nguyen
Modified: 2014-01-02 15:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:43:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tsegismo: needinfo? (vnguyen)


Attachments (Terms of Use)
server log (648.93 KB, application/octet-stream)
2012-05-04 15:10 EDT, Viet Nguyen
no flags Details

  None (edit)
Description Viet Nguyen 2012-05-04 15:09:39 EDT
Description of problem:
Server throws an exception complaining jar file is invalid when 3.1.0.GA EAP plugins are deleted and reuploaded.

Version-Release number of selected component (if applicable):
JON 3.1.0.GA 
jon-plugin-pack-eap-3.1.0.GA

How reproducible:
easy

Steps to Reproduce:
1. Upload EAP 3.1.0.GA plugin such as EAP or Hibernate
2. Scan for updates.
3. Delete and reupload jar files
  
Actual results:
Plugins not uploaded.  java.util.zip.ZipException. 

Expected results:
Plugin uploaded 

Additional info:
Comment 1 Viet Nguyen 2012-05-04 15:10:35 EDT
Created attachment 582191 [details]
server log
Comment 2 Mike Foley 2012-05-08 15:33:37 EDT
per BZ triage ... crouch, loleary, foley
Comment 3 Thomas Segismont 2013-06-26 06:04:50 EDT
What's the use case exactly? Upgrading?

See the JON documentation

https://access.redhat.com/site/documentation/en-US/JBoss_Operations_Network/3.1/html/How_to_Manage_JBoss_Servers/eap6-upgrade.html

You need to purge the plugin and wait for purge completion before re-uploading.
Comment 4 Larry O'Leary 2013-09-06 10:33:33 EDT
As this is MODIFIED or ON_QA, setting milestone to ER1.

Note You need to log in before you can comment on or make changes to this bug.